import { IQuestionSetHeaderComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkQuestionSetHeader implements IQuestionSetHeaderComponent {
    /**
     * Question application form id
     */
    applicationId: string;
    /**
     * Question set code
     */
    code: string;
    /**
     * Is Active
     */
    isActive: boolean;
    /**
     * Is completed
     */
    isCompleted: boolean;
    /**
     * Question set name
     */
    name: string;
    /**
     * Question set id
     */
    setId: string;
    /**
     * Question set title
     */
    setTitle: string;
    /**
     * Tenant Id
     */
    tenantId: string;
    useExternal: boolean;
    resetState(): void;
    connectedCallback(): void;
    componentWillLoad(): void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
